List Group Connections
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/group_connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/group_connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/group_connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/group_connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/group_connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/group_connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"completed": 1557392400,
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000",
"group_name": "Test Company"
},
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557392400,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "initial",
"status": "processing",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}
]
}Connections
Get Group Connection Request List
Returns a list of all group connections.
GET
/
api
/
v1
/
group_connections
List Group Connections
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/group_connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/group_connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/group_connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/group_connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/group_connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/group_connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"completed": 1557392400,
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000",
"group_name": "Test Company"
},
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557392400,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "initial",
"status": "processing",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}
]
}Returns a list of all group connections.
Authorizations
Query Parameters
Was this page helpful?
